const dateSuffixAdder = (date) => {
	if (date > 9 && date < 20) {
		return "th";
	} else {
		let dateString = date < 10 ? "0" + date : "" + date;
		if (dateString[1] < 4 && dateString[1] > 0) {
			return dateString[1] == 1 ? "st" :
			dateString[1] == 2 ? "nd" :
			dateString[1] == 3 ? "rd" : null;
		} else {
			return "th"
		}
	}
}

const monthMap = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];

const timeFormatter = (hours, minutes) => {
	return `${hours < 12 ? hours : hours - 12}:${minutes < 10 ? "0" : ""}${minutes} ${hours < 12 ? "AM" : "PM"}`
}

export {dateSuffixAdder, monthMap, timeFormatter};
